Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.interchange.io/api/v2/storefront/notifications/{notificationId}/read \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.interchange.io/api/v2/storefront/notifications/{notificationId}/read"headers = {"Authorization": "Bearer <token>"}response = requests.post(url, headers=headers)print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.interchange.io/api/v2/storefront/notifications/{notificationId}/read', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true, "notificationId": "<string>" }
{ "data": null, "error": { "code": "<string>", "message": "<string>", "field": "<string>", "details": {} }}
Mark a single notification as read.
API key or access token
Notification id.
1
Mark notification as read
true